### Function

# Gimp context_get_foreground

since: 2.2

#### Declaration [src]

    GeglColor*
    gimp_context_get_foreground (
      void
    )

#### Description [src]

Get the current GIMP foreground color.

Returns the current GIMP foreground color. The foreground color is used in a variety of tools such as paint tools, blending, and bucket fill.

Available since: 2.2

#### Return value

Type: `GeglColor`

The foreground color.

The caller of the function takes ownership of the data, and is responsible for freeing it.